Skip to content
POST

Confirm shipment reservation

https://api.kustom.co/shipment/{shipment_id}/confirm

This operation confirms the previously created shipment reservation (POST -> /shipment).

After the last POST /shipment or PUT /shipment/{id} call, one of two things can happen:

  • If the purchase goes through, this endpoint is called. The call is guaranteed to happen within an hour of the last call to POST /shipment or PUT /shipment/{id}. In most cases, the call to this endpoint will come within seconds.
  • If the purchase does not go through, this endpoint is never called. If an hour has passed since the last call to POST /shipment or PUT /shipment/{id}, it is safe to remove the reservation of the shipment.

A HTTP 401 error code will trigger an auth call. Any other HTTP response will be ignored as this is a best effort call without any possibility for consumer interaction.

Parameters2 fields
  • shipment_idstringrequiredin path

    Unique shipment ID

  • Authorizationstringrequiredin header

    Authorization token on format Bearer <token>.

200
Response0 fields

Successful operation.

No response body — this status returns headers only.

401
Response0 fields

Invalid or expired token. A new token will be obtained.

No response body — this status returns headers only.

This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.